from buildutils import download_and_check, configure, make, apply_patch
import utils
from package import Package
from Path import Path

class VorbisTools(Package):
  def full_name (self):
    return "vorbis-tools-1.2.0"

  def download (self):
    download_and_check ("http://downloads.xiph.org/releases/vorbis/vorbis-tools-1.2.0.tar.gz", "df976d24e51ef3d87cd462edf747bf9a")

  def extract (self):
    self.clear_and_unpack ("vorbis-tools-1.2.0.tar.gz", "vorbis-tools-1.2.0")

  def patch (self):
    pass

  def compile (self):
    configure ([ "sh", "configure", "--prefix", self.config.PREFIX.unix() ], "vorbis-tools-1.2.0")
    make ([ "make" ], "vorbis-tools-1.2.0")

  def install (self):
    make ([ "make", "install" ], "vorbis-tools-1.2.0")

import packages.libs.libvorbis
import packages.libs.libao

deps = (packages.libs.libvorbis.packages()
     +  packages.libs.libao.packages())

def packages():
  return deps + [ VorbisTools() ]
