from buildutils import download_and_check, make, configure, apply_patch
from package import Package
from Path import Path

import utils;

class Grep (Package):
  def full_name (self):
    return "grep-2.5.4";

  def download (self):
    download_and_check ("ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/ftp.gnu.org/grep/grep-2.5.4.tar.bz2",
                        "5650ee2ae6ea4b39e9459d7d0585b315")

  def extract (self):
    self.clear_and_unpack ("grep-2.5.4.tar.bz2", "grep-2.5.4")

  def patch (self):
    apply_patch ("grep-2.5.4.diff", "grep-2.5.4", 1)

  def compile (self):
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    configure ([ "sh", "-c", flags + " ./configure --prefix " + self.config.PREFIX.msys() ],
               "grep-2.5.4")
    make ([ "make" ], "grep-2.5.4")

  def dist_image (self):
    self.dist_image_with_make_install ("grep-2.5.4")
           
  def install (self):
    self.install_with_dist_image()

def packages():
  return [ Grep() ]
