from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class NSISUnTgz(Package):
  def full_name (self):
    return "nsis-untgz-1.0.15"

  def download (self):
    download_and_check ("http://nsis.sourceforge.net/mediawiki/images/9/9d/Untgz.zip", 
                        "33d186df3fdc9a146fcf1cb64124e238")

  def extract (self):
    self.clear_and_unpack ("Untgz.zip", "untgz")

  def patch (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    img_path = self.config.TMP.join (Path (self.full_name()))
    plugin_path = img_path.join (Path ("nsis/nsis-2.45/plugins"))
    utils.makeDirs (plugin_path)
    make (["cp", "untgz.dll",  plugin_path.unix() ], "untgz")
    self.tar_dist_image (img_path)
    

  def install (self):
    self.install_with_dist_image()

def packages():
  return [ NSISUnTgz() ]
