from buildutils import download_and_check, make, configure, apply_patch
from package import Package
from Path import Path
import os;

import utils;

class LibFreeType (Package):
  def full_name (self):
    return "freetype-2.3.6"

  def download (self):
    download_and_check ("http://mirrors.zerg.biz/nongnu/freetype/freetype-2.3.6.tar.bz2",
                        "fb182d508017cb608e9df8c7dca648dc")

  def extract (self):
    self.clear_and_unpack ("freetype-2.3.6.tar.bz2", "freetype-2.3.6")

  def patch (self):
    pass

  def compile (self):
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    configure ([ "sh", "-c", flags + " ./configure" ], "freetype-2.3.6")
    configure ([ "sh", "-c", flags + " ./configure --prefix=" + self.config.PREFIX.msys() ],
               "freetype-2.3.6/builds/unix")
    make ([ "make", "all" ], "freetype-2.3.6")

  def dist_image (self):
    img_path = self.config.TMP.join (Path (self.full_name()))
    make ([ "make", "install", "DESTDIR=" + img_path.unix() ], "freetype-2.3.6")
    #### HACKHACKHACK: we need this so that freetype6.dll
    #### is found by the beast executable (maybe Gtk+ was
    #### compiled with a different DLL name for freetype?)
    make ([ "cp", img_path.join (self.config.PREFIX.join (Path ("bin/libfreetype-6.dll"))).unix(),
                  img_path.join (self.config.PREFIX.join (Path ("bin/freetype6.dll"))).unix() ], ".")
    self.tar_dist_image (img_path.join (self.config.PREFIX))

  def install (self):
    self.install_with_dist_image()    

import packages.devel.automake
import packages.devel.autoconf

deps = (packages.devel.automake.packages()
     +  packages.devel.autoconf.packages())

def packages():
  return deps + [ LibFreeType() ]
