from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibGlade (Package):
  def full_name (self):
    return "libglade-2.6.4"

  def download (self):
    download_and_check ("http://ftp.gnome.org/pub/GNOME/sources/libglade/2.6/libglade-2.6.4.tar.bz2",
                        "d1776b40f4e166b5e9c107f1c8fe4139")

  def extract (self):
    self.clear_and_unpack ("libglade-2.6.4.tar.bz2", "libglade-2.6.4")

  def patch (self):
    pass

  def compile (self):
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    configure ([ "sh", "-c", flags + " ./configure "
                 "--prefix=" + self.config.PREFIX.msys() ], "libglade-2.6.4")
    make ([ "make" ], "libglade-2.6.4")

  def dist_image (self):
    self.dist_image_with_make_install ("libglade-2.6.4")

  def install (self):
    self.install_with_dist_image()

import packages.libs.libxml2
import packages.libs.gtkbundle

deps  = (packages.libs.libxml2.packages()
      +  packages.libs.gtkbundle.packages())

def packages():
  return deps + [ LibGlade() ]
