from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibGnomeCanvas (Package):
  def full_name (self):
    return "libgnomecanvas-2.26.0"

  def download (self):
    download_and_check ("http://ftp.acc.umu.se/pub/gnome/sources/libgnomecanvas/2.26/libgnomecanvas-2.26.0.tar.bz2", "9bbc635e5ae70e63af071af74ba7e72f")

  def extract (self):
    self.clear_and_unpack ("libgnomecanvas-2.26.0.tar.bz2", "libgnomecanvas-2.26.0")

  def patch (self):
    pass

  def compile (self):
    #configure ([ "sh", "autoconf" ], "libgnomecanvas-2.26.0")
    #configure ([ "sh", "aclocal" ], "libgnomecanvas-2.26.0")
    #configure ([ "sh", "automake" ], "libgnomecanvas-2.26.0")
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    configure ([ "sh", "-c", flags + " ./configure " +
                 "--prefix=" + self.config.PREFIX.msys() ], "libgnomecanvas-2.26.0")
    make ([ "make" ], "libgnomecanvas-2.26.0")

  def dist_image (self):
    self.dist_image_with_make_install ("libgnomecanvas-2.26.0")

  def install (self):
    self.install_with_dist_image()

import packages.devel.intltool
import packages.libs.libart
import packages.libs.libglade
import packages.devel.gtkdoc
import packages.libs.libfreetype
import packages.libs.fontconfig

deps = (packages.devel.intltool.packages()
     +  packages.libs.libart.packages()
     +  packages.libs.libglade.packages()
     +  packages.devel.gtkdoc.packages()
     +  packages.libs.libfreetype.packages()
     +  packages.libs.fontconfig.packages())

def packages():
  return deps + [ LibGnomeCanvas() ]
