from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibIConv (Package):
  def full_name (self):
    return "libiconv-1.13"

  def download (self):
    download_and_check ("http://ftp.gnu.org/pub/gnu/libiconv/libiconv-1.13.tar.gz", "048032a3032ebd182150bdee30a5d533")

  def extract (self):
    self.clear_and_unpack ("libiconv-1.13.tar.gz", "libiconv-1.13")

  def patch (self):
    apply_patch ("libiconv-1.13.diff", "libiconv-1.13", 1)
    configure ([ "sh", "autoconf" ], "libiconv-1.13")
    configure ([ "sh", "aclocal" ], "libiconv-1.13")

  def compile (self):
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    configure ([ "sh", "-c", flags + " ./configure " +
                 "--prefix=" + self.config.PREFIX.msys() ],  "libiconv-1.13")
    make ([ "make" ], "libiconv-1.13")

  def dist_image (self):
    self.dist_image_with_make_install ("libiconv-1.13")

  def install (self):
    self.install_with_dist_image()

import packages.devel.automake
import packages.devel.autoconf

deps = (packages.devel.automake.packages()
     +  packages.devel.autoconf.packages())

def packages():
  return deps + [ LibIConv() ]
